From edafbd73504505403bbe97aeb050f83610fb272b Mon Sep 17 00:00:00 2001
From: Ricardo Lafuente <r@manufacturaindependente.org>
Date: Jan 22 2024 15:30:47 +0000
Subject: [PATCH 4/17] Detect wrongly marked up frontmatter


---

diff --git a/website/i18n/postprocess.py b/website/i18n/postprocess.py
index e4cb856..6d232b4 100755
--- a/website/i18n/postprocess.py
+++ b/website/i18n/postprocess.py
@@ -20,6 +20,14 @@ for line in lines:
         break
     raw_frontmatter += line.strip() + ' '
 
+# remove header markup if present
+if raw_frontmatter.startswith('# '):
+    raw_frontmatter = raw_frontmatter.replace('# ', '', 1)
+if raw_frontmatter.startswith('## '):
+    raw_frontmatter = raw_frontmatter.replace('## ', '', 1)
+if raw_frontmatter.startswith('### '):
+    raw_frontmatter = raw_frontmatter.replace('### ', '', 1)
+
 # second pass: break lines on field names
 output = raw_frontmatter
 for name in FIELDNAMES:

